package org.dromara.payment.operator.service;

import org.dromara.payment.operator.domain.BusOperatorAgreement;
import org.dromara.payment.operator.domain.vo.BusOperatorAgreementVo;
import org.dromara.payment.operator.domain.bo.BusOperatorAgreementBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 运营商协议Service接口
 *
 * @author LionLi
 * @date 2024-03-28
 */
public interface IBusOperatorAgreementService {

    /**
     * 查询运营商协议
     */
    BusOperatorAgreementVo queryById(Long id);

    /**
     * 查询运营商协议列表
     */
    TableDataInfo<BusOperatorAgreementVo> queryPageList(BusOperatorAgreementBo bo, PageQuery pageQuery);

    /**
     * 查询运营商协议列表
     */
    List<BusOperatorAgreementVo> queryList(BusOperatorAgreementBo bo);

    /**
     * 新增运营商协议
     */
    Boolean insertByBo(BusOperatorAgreementBo bo);

    /**
     * 修改运营商协议
     */
    Boolean updateByBo(BusOperatorAgreementBo bo);

    /**
     * 校验并批量删除运营商协议信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
